Get Conversational Component

API to retrieve configured conversational components for WhatsApp Business API. Conversational components are in-chat features that you can enable on business phone numbers. They make it easier for WhatsApp users to interact with your business. You can configure easy-to-use commands, provide pre-written ice breakers that users can tap, and greet first time users with a welcome message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData TypeRequired/OptionalConstraints
AuthorizationAccess Token for the application{PARTNER_APP_TOKEN}StringRequiredShould be a valid Partner App Access Token
APP IDappId of the accountbf9ee64c-3d4d-4ac4-xxxx-732e577007c4StringRequiredThe Id should be a valid app Id of Gupshup

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{APP_ID}/conversational/component' \
--header 'Authorization: {PARTNER_APP_TOKEN}'

Sample Response

{
    "conversational_automation": {
        "prompts": [
            "Book a flight",
            "plan a vacation"
        ],
        "commands": [
            {
                "command_name": "tickets",
                "command_description": "Book flight tickets"
            },
            {
                "command_name": "hotel",
                "command_description": "Book hotel"
            }
        ],
        "enable_welcome_message": false,
        "id": "{id}"
    },
    "id": "{phone_id}"
}

Status Codes

Status CodeResponseComments
Success
200{ "conversational_automation": { "prompts": [ "Book a flight", "plan a vacation" ], "commands": [ { "command_name": "tickets", "command_description": "Book flight tickets" }, { "command_name": "hotel", "command_description": "Book hotel" } ], "enable_welcome_message": false, "id": "{id}" }, "id": "{phone_id}" }
Error
401{ "message": "Authentication Failed", "status": "error" }When API authentication fails
Path Params
string
required

Unique identifier of the app.

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json